视频 Remix
curl --request POST \
--url https://model-api.skyengine.com.cn/v1/videos/{video_id}/remix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "sora-2",
"prompt": "将色彩调色板改为青绿色、沙色和锈色,并添加温暖的背光"
}
'import requests
url = "https://model-api.skyengine.com.cn/v1/videos/{video_id}/remix"
payload = {
"model": "sora-2",
"prompt": "将色彩调色板改为青绿色、沙色和锈色,并添加温暖的背光"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'sora-2', prompt: '将色彩调色板改为青绿色、沙色和锈色,并添加温暖的背光'})
};
fetch('https://model-api.skyengine.com.cn/v1/videos/{video_id}/remix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://model-api.skyengine.com.cn/v1/videos/{video_id}/remix"
payload := strings.NewReader("{\n \"model\": \"sora-2\",\n \"prompt\": \"将色彩调色板改为青绿色、沙色和锈色,并添加温暖的背光\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://model-api.skyengine.com.cn/v1/videos/{video_id}/remix")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"sora-2\",\n \"prompt\": \"将色彩调色板改为青绿色、沙色和锈色,并添加温暖的背光\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://model-api.skyengine.com.cn/v1/videos/{video_id}/remix",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'sora-2',
'prompt' => '将色彩调色板改为青绿色、沙色和锈色,并添加温暖的背光'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "video_123456789",
"object": "video",
"created_at": 1741570283,
"model": "sora-2",
"status": "pending",
"progress": 50,
"seconds": "<string>",
"size": "720x1280",
"remixed_from_video_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>",
"details": [
{}
]
}
}视频生成
/v1/videos/{video_id}/remix
对现有视频进行有针对性的调整,而无需从头重新生成。系统会重用原始视频的结构、连续性和构图,同时应用您指定的修改。最适合进行单一、明确定义的更改,以保持更多原始保真度。
POST
/
v1
/
videos
/
{video_id}
/
remix
视频 Remix
Authorizations
OpenAI API密钥认证。在 Authorization HTTP Header 中包含您的 API-Key,格式为 Bearer {API_KEY}
Path Parameters
已完成视频的 ID,将作为 remix 的基础
Example:
"video_123456789"
Body
application/json
Response
创建指定视频的 remix 版本,应用新的提示描述的变更
生成任务ID
Example:
"video_123456789"
对象类型
Available options:
video 创建时间戳
Example:
1741570283
使用的模型
Example:
"sora-2"
状态
Available options:
pending, in_progress, completed, failed 完成百分比
Required range:
0 <= x <= 100视频时长(秒)
视频分辨率
Available options:
720x1280, 1280x720 Example:
"720x1280"
源视频ID
错误信息
Show child attributes
Show child attributes

